https://github.com/aseprite/aseprite/issues/4843
--- aseprite/CMakeLists.txt.orig	2024-12-02 05:30:15.000000000 -0600
+++ aseprite/CMakeLists.txt	2024-12-02 05:33:32.000000000 -0600
@@ -45,6 +45,7 @@
 option(USE_SHARED_LIBARCHIVE "Use your installed copy of libarchive" off)
 option(USE_SHARED_LIBPNG  "Use your installed copy of libpng" off)
 option(USE_SHARED_LIBWEBP "Use your installed copy of libwebp" off)
+option(USE_SHARED_TINYEXIF "Use your installed copy of TinyEXIF" off)
 option(USE_SHARED_TINYXML "Use your installed copy of tinyxml" off)
 option(USE_SHARED_PIXMAN  "Use your installed copy of pixman" off)
 option(USE_SHARED_FREETYPE "Use shared FreeType library" off)
@@ -167,6 +168,7 @@
 set(FREETYPE_DIR        ${CMAKE_CURRENT_SOURCE_DIR}/third_party/freetype2)
 set(HARFBUZZ_DIR        ${CMAKE_CURRENT_SOURCE_DIR}/third_party/harfbuzz)
 set(SIMPLEINI_DIR       ${CMAKE_CURRENT_SOURCE_DIR}/third_party/simpleini)
+set(TINYEXIF_DIR        ${CMAKE_CURRENT_SOURCE_DIR}/third_party/TinyEXIF)
 set(TINYXML_DIR         ${CMAKE_CURRENT_SOURCE_DIR}/third_party/tinyxml2)
 set(ZLIB_DIR            ${CMAKE_CURRENT_SOURCE_DIR}/third_party/zlib)
 
@@ -250,6 +252,16 @@
 endif()
 include_directories(${TINYXML_INCLUDE_DIR})
 
+# TinyEXIF
+if(USE_SHARED_TINYEXIF)
+  find_library(TINYEXIF_LIBRARY NAMES TinyEXIF)
+  find_path(TINYEXIF_INCLUDE_DIR NAMES TinyEXIF.h)
+else()
+  set(TINYEXIF_LIBRARY TinyEXIFstatic)
+  set(TINYEXIF_INCLUDE_DIR ${TINYEXIF_DIR})
+endif()
+include_directories(${TINYEXIF_INCLUDE_DIR})
+
 # pixman
 if(USE_SHARED_PIXMAN)
   find_library(PIXMAN_LIBRARY NAMES pixman pixman-1)
--- aseprite/src/app/CMakeLists.txt.orig	2024-12-02 05:30:15.000000000 -0600
+++ aseprite/src/app/CMakeLists.txt	2024-12-02 05:30:15.000000000 -0600
@@ -744,6 +744,7 @@
   undo
   ${CMARK_LIBRARIES}
   ${TINYXML_LIBRARY}
+  ${TINYEXIF_LIBRARY}
   ${JPEG_LIBRARIES}
   ${GIF_LIBRARIES}
   ${PNG_LIBRARIES}
@@ -752,7 +753,6 @@
   json11
   fmt
   tinyexpr
-  TinyEXIFstatic
   qoi)
 
 if(ENABLE_WEBP AND WEBP_FOUND)
--- aseprite/third_party/CMakeLists.txt.orig	2024-12-02 05:30:15.000000000 -0600
+++ aseprite/third_party/CMakeLists.txt	2024-12-02 05:30:15.000000000 -0600
@@ -58,11 +58,13 @@
   add_subdirectory(tinyxml2)
 endif()
 
+if(NOT USE_SHARED_TINYEXIF)
 set(BUILD_SHARED_LIBS OFF CACHE BOOL "build as shared library")
 set(BUILD_STATIC_LIBS ON CACHE BOOL "build as static library")
 set(LINK_CRT_STATIC_LIBS OFF CACHE BOOL "link CRT static library")
 set(BUILD_DEMO OFF CACHE BOOL "build demo binary")
 add_subdirectory(TinyEXIF)
+endif()
 
 if(REQUIRE_CURL AND NOT USE_SHARED_CURL)
   set(BUILD_RELEASE_DEBUG_DIRS ON BOOL)
